package earth.krakatao.protocol;

import lombok.Getter;

public enum KraSocketClientProtocolStatus {

  SEND((byte) 10),
  GET((byte) 11),
  MESSAGE_ALREADY_IN_QUEUE((byte) 12),
  ERROR_NO_PERMS((byte) 13),
  ERROR_TRY_AGAIN((byte) 14),
  ERROR_ARG_LEN_TOO_BIG((byte) 15),
  REPLY((byte) 16);

  @Getter
  private final byte status;

  KraSocketClientProtocolStatus(byte status) {
    this.status = status;
  }
}
